Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSConferenceSlideViewer Class Reference

Unsupported: Conference slide viewing is currently not supported. More...

`#import <CSConferenceSlideViewer.h>`

Inherits NSObject.

## Instance Methods
(void) | - subscribeWithCompletionHandler:
| Initiates subscription to slide information. More...
(void) | - unsubscribeWithCompletionHandler:
| Ends subscription to slide information. More...

## Properties
id< CSConferenceSlideViewerDelegate > | delegate
| The delegate used to handle slide viewer related events. More...
NSArray * | slides
| Get information about the list of currently available slides. More...

## Detailed Description

Unsupported: Conference slide viewing is currently not supported.

## Interface object representing the slide viewer feature of a conference call.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

## Method Documentation

- (void) subscribeWithCompletionHandler: |  | (void(^)(NSArray *slides, NSError *error)) | handler |

Initiates subscription to slide information.

Parameters

  handler | A block to be called when the operation is completed. `slides` If the operation was not successful this parameter is nil. If there is no slides available, an empty list is returned. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) unsubscribeWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Ends subscription to slide information.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (id<CSConferenceSlideViewerDelegate>) delegate
| read write nonatomic weak

The delegate used to handle slide viewer related events.

- (NSArray*) slides
| read nonatomic assign

Get information about the list of currently available slides.

The documentation for this class was generated from the following file:

- CSConferenceSlideViewer.h